Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # default_color_converter_impl< rgba_t, C2 > Struct Template Reference [Color Space Converion] `#include <color_convert.hpp>` List of all members. ## Detailed Description ### template<typename C2> struct boost::gil::default_color_converter_impl< rgba_t, C2 > Converting RGBA to any pixel type. Note: Supports homogeneous pixels only. Done by multiplying the alpha to get to RGB, then converting the RGB to the target pixel type Note: This may be slower if the compiler doesn't optimize out constructing/destructing a temporary RGB pixel. Consider rewriting if performance is an issue
## Public Member Functions
template<typename P1, typename P2>
void | operator() (const P1 &src, P2 &dst) const
The documentation for this struct was generated from the following file: color_convert.hpp